%define major 1
%define libname %mklibname %name %major
%define develname %mklibname -d smb4k

Summary:	A KDE SMB share browser
Name:		smb4k
Version:	0.9.3
Release:	%mkrel 1
Source:		http://download.berlios.de/smb4k/%{name}-%{version}.tar.bz2
License:	GPLv2+
Group:		Networking/Other
Url:		http://smb4k.berlios.de
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	samba-client
BuildRequires:  kdebase-devel
BuildRequires:	autoconf
BuildRequires:  desktop-file-utils
Obsoletes:	%mklibname %name 0
# fwang: I remove libname in 0.9.0-1, because:
# 1) libname is only used by the application
# 2) the application is mainly an end user application rather than
#    a development library
Obsoletes:	%mklibname %name 1
Conflicts:	%name-devel < 0.9.1-2

%description
An SMB network and share browser for KDE 3 or later.

%package devel
Summary:	Headers files for smb4k
Group:		Development/KDE and Qt
Requires:       %name = %version-%release
Obsoletes:	%mklibname -d %name 1
Obsoletes:	%mklibname -d %name 0
Obsoletes:	%mklibname -d %name

%description devel
Headers files for smb4k.

%prep
%setup -q

%build
make -f admin/Makefile.common cvs
%configure2_5x \
		--disable-debug \
		--enable-shared \
		--disable-static \
		--disable-rpath 
%make

%install
rm -Rf %{buildroot}

%makeinstall_std

# Menu
desktop-file-install --vendor="" \
  --add-category="Network" \
  --add-category="FileTransfer" \
  --add-category="P2P" \
  --remove-category="Utility" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde $RPM_BUILD_ROOT%{_datadir}/applications/kde/*

# Icons
mkdir -p %{buildroot}/{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
ln -s %{_iconsdir}/crystalsvg/16x16/apps/%{name}.png %{buildroot}/%{_miconsdir}
ln -s %{_iconsdir}/crystalsvg/32x32/apps/%{name}.png %{buildroot}/%{_iconsdir}
ln -s %{_iconsdir}/crystalsvg/48x48/apps/%{name}.png %{buildroot}/%{_liconsdir}

# Fix KDE's absolute symlinks
pushd $RPM_BUILD_ROOT%{_docdir}/HTML/en/smb4k/
ln -sf ../common
 popd

#remove buildroot path from libtool files:
perl -pi -e  "s,-L$RPM_BUILD_DIR\S+,,g" %{buildroot}/%{_libdir}/kde3/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun  -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/kde3/*
%{_datadir}/applications/kde/smb4k.desktop
%dir %{_datadir}/apps/smb4k
%{_datadir}/apps/*/*.rc
%{_datadir}/config.kcfg/smb4k.kcfg
%doc %_docdir/HTML/en/smb4k
%{_iconsdir}/crystalsvg/*/apps/smb4k.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%_datadir/apps/konqsidebartng/add/smb4k_add.desktop
%_libdir/libsmb4kdialogs.so
%_libdir/libsmb4kdialogs.la
%_libdir/libsmb4kconfigdialog.so.*
%_libdir/libsmb4kconfigdialog.la
%_libdir/libsmb4kcore.so.*
%_libdir/libsmb4kcore.la

%files devel
%defattr(-,root,root,-)
%_includedir/*.h
%_libdir/libsmb4kconfigdialog.so
%_libdir/libsmb4kcore.so


%changelog
* Sun Feb 24 2008 Funda Wang <fundawang@mandriva.org> 0.9.3-1mdv2008.1
+ Revision: 174267
- New version 0.9.3

* Sun Jan 20 2008 Funda Wang <fundawang@mandriva.org> 0.9.2-1mdv2008.1
+ Revision: 155292
- New version 0.9.2

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix description

* Tue Jan 01 2008 Funda Wang <fundawang@mandriva.org> 0.9.1-2mdv2008.1
+ Revision: 139977
- move *.la into main pacakge
- finally move libsmb4kdialogs.la into main package (bug#36435)

* Mon Dec 31 2007 Funda Wang <fundawang@mandriva.org> 0.9.1-1mdv2008.1
+ Revision: 139764
- New version 0.9.1

* Sat Dec 29 2007 Funda Wang <fundawang@mandriva.org> 0.9.0-3mdv2008.1
+ Revision: 139066
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 21 2007 Funda Wang <fundawang@mandriva.org> 0.9.0-2mdv2008.1
+ Revision: 136273
- move libsmb4kdialogs.so into main package

* Tue Dec 18 2007 Funda Wang <fundawang@mandriva.org> 0.9.0-1mdv2008.1
+ Revision: 131995
- obsoletes old devel name
- obsoletes old lib and devel package
- New version 0.9.0
- drop libname as it is useless for standalone application

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 28 2007 Funda Wang <fundawang@mandriva.org> 0.8.7-1mdv2008.1
+ Revision: 113709
- New version 0.8.7

* Wed Oct 17 2007 Funda Wang <fundawang@mandriva.org> 0.8.6-1mdv2008.1
+ Revision: 99494
- New version 0.8.6

* Mon Oct 15 2007 Funda Wang <fundawang@mandriva.org> 0.8.5-1mdv2008.1
+ Revision: 98366
- New version 0.8.5

* Wed Aug 29 2007 Funda Wang <fundawang@mandriva.org> 0.8.4-2mdv2008.0
+ Revision: 73530
- fix menu category -> Only Network/FileTransfer now.

  + Anssi Hannula <anssi@mandriva.org>
    - drop hardcoded packager tag

* Mon Jul 16 2007 Funda Wang <fundawang@mandriva.org> 0.8.4-1mdv2008.0
+ Revision: 52398
- New version

* Thu May 03 2007 Laurent Montel <lmontel@mandriva.org> 0.8.3-1mdv2008.0
+ Revision: 20865
- 0.8.3


* Tue Jan 09 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.8.0-3mdv2007.0
+ Revision: 106739
- fix provides

* Tue Jan 02 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.0-2mdv2007.1
+ Revision: 103055
- Fix BuildRequires
- Fix symplinks for doc
- Kill old debian menu style

* Fri Dec 22 2006 Laurent Montel <lmontel@mandriva.com> 0.8.0-1mdv2007.1
+ Revision: 101485
- 0.8.0

* Mon Nov 27 2006 Laurent Montel <lmontel@mandriva.com> 0.7.5-1mdv2007.1
+ Revision: 87355
- 0.7.5

* Sun Nov 12 2006 Laurent Montel <lmontel@mandriva.com> 0.7.4-1mdv2007.1
+ Revision: 83284
- 0.7.4

* Fri Oct 20 2006 Laurent Montel <lmontel@mandriva.com> 0.7.3-1mdv2007.0
+ Revision: 71226
- 0.7.3
- Import smb4k

* Fri Aug 04 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.2-1
- 0.7.2

* Mon Jun 19 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.1-1
- 0.7.1

* Mon Apr 24 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.0-1
- 0.7.0

* Tue Apr 18 2006 Laurent MONTEL <lmontel@mandriva.com> 0.6.10-1
- 0.6.10

* Fri Mar 24 2006 Laurent MONTEL <lmontel@mandriva.com> 0.6.9-1
- 0.6.9

* Sat Mar 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.8-2mdk
- Complete french translation (Ticket # 20096)

* Mon Feb 27 2006 Laurent MONTEL <lmontel@mandriva.com> 0.6.8-1
- 0.6.8

* Sun Feb 05 2006 Laurent MONTEL <lmontel@mandriva.com> 0.6.7-1
- 0.6.7

* Sun Feb 05 2006 Laurent MONTEL <lmontel@mandriva.com> 0.6.6-1
- 0.6.6

* Sat Jan 07 2006 Laurent MONTEL <lmontel@mandriva.com> 0.6.5-1
- 0.6.5

* Tue Dec 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.4-1
- 0.6.4

* Thu Sep 01 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.3-1
- 0.6.3

* Wed Aug 31 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.2-2
- Add patch1: disable ok button when smb url is empty

* Tue Aug 30 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.2-1
- New release (security fix)
- Fix compile under x86_64

* Tue Aug 02 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.6.1-1mdk
- New release 0.6.1
- update compatability macros, remove unused macros, fix source url
- run ldconfig in lib package scriplets
- make devel package require lib package
- remove buildroot path from libtool files

* Tue Jul 19 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.0--r 2 0.6.0
- Fix build on x86_64

* Sat Jun 18 2005 Laurent MONTEL <lmontel@mandriva.com> 0.6.0--r 1 0.6.0
- 0.6.0

* Thu Feb 17 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.5.1-1mdk
- 0.5.1

* Wed Jan 12 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.0--r 1 0.5.0
- 0.5.0

* Tue Dec 21 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.5.0-0.pre3.1mdk
- 0.5.0pre3
- implement distro-specific release tag and use mkver for pre-version
  handling

* Sat Aug 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.0-3mdk
- Rebuild with new menu conversion table

* Sat Jun 05 2004 <lmontel@n2.mandrakesoft.com> 0.4.0-2mdk
- Rebuild

* Sat May 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.0-1mdk
- 0.4.0

* Wed Apr 14 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.3.2-3mdk
- require samba-client (#9481)
- drop unused libsmbclient-devel buildrequires

* Wed Feb 18 2004 David Baudens <baudens@mandrakesoft.com> 0.3.2-2mdk
- Fix menu

* Tue Feb 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.2-1mdk
- from Diego CLAEYS (Romax MANIAX) :
	- Update to new version 0.3.2

